Bug 187496 - scrolled window shrinks in one line
scrolled window shrinks in one line
Product: Fedora
Classification: Fedora
Component: grace (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
Depends On: 190423
  Show dependency treegraph
Reported: 2006-03-31 07:49 EST by Pascal Viot
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-07 06:44:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
openmotif rpm file (modified) (5.44 MB, application/x-rpm)
2006-04-27 08:30 EDT, Pascal Viot
no flags Details

  None (edit)
Description Pascal Viot 2006-03-31 07:49:58 EST
Description of problem:
First, I load several sets are loaded in a graph; when I
 choose a set and when I select hide (with the pop-up menu), the scrolled
 window shrinks definitively to one line (which is boring for further
 manipulations on other sets). This probleme is the same if I select
 the menu Data/evaluate Expression and if I work on several sets.
 The problem is the same if I recompile grace for the source. It is
 independent of the architecture (i386, x86_64)
 I tried to apply sloppy patches on the code, but they did not cure
 completely the problem.
The probleme seems to be related to a new behavior of the openmotif
 library, but my knowledge of OpenMotif is not sufficient.
 I installed a binary version (working on FC4) which displays the same
 problem on FC5
Version-Release number of selected component (if applicable):
I tried to change a line in src/motifutils.c
 XtSetArg(args[1], XmNscrollBarDisplayPolicy, XmSTATIC);
 XtSetArg(args[1], XmNscrollBarDisplayPolicy, XmCONSTANT);

 With the dirty patch , the scrolled window has two lines after a first
 operation on sets, but shrinks in one line aftter a second operation

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 José Matos 2006-04-27 05:23:13 EDT
I guess that this is related with:

This seems to be a bug in motif and not grace, although it clearly affects 
grace usage.
Comment 2 Pascal Viot 2006-04-27 08:30:26 EDT
Created attachment 128304 [details]
openmotif rpm file (modified)
Comment 3 Pascal Viot 2006-04-27 08:35:00 EDT
Thank you for finding the bug. I patched the openmotif src rpm file  and I added
the patch. Xmgrace works very well. I do not know if my rpm file is built with
the state of the art and I do not know the maintainer of openmotif. If you can
forward my mail and the package for an update of openmotif, it will be great
Sincerely yours, Pascal
Comment 4 José Matos 2006-05-06 02:56:16 EDT
You beat me reporting the bug to the right component.

I will let this bug opened while the issue is not fixed in openmotif package.
Comment 5 José Matos 2007-02-07 06:44:55 EST
Since grace does not use openmotif anymore I will close this bug. This problem 
does not apply anymore.

Note You need to log in before you can comment on or make changes to this bug.